System Requirements

This page provides an outline of the minimum system requirements for installing and running QGate’s intelli-CTi together with integration into business applications.

Note: These requirements are based upon the latest version(s) of the product, earlier versions may vary.

intelli-CTi Server Requirements      

The intelli-CTi Server installation requires for the following minimum system components:

Server Hardware

  • Server PC (or large workstation)
  • 1.8 GHz Pentium-class processor (or higher)
  • 2GB Memory
  • 1GB free hard disk space

Supported Operating Systems

The following operating systems are supported with the recommendation that the latest Windows updates are applied.

  • Windows Server 2003, 2008, 2008-R2, 2012, 2012-R2
  • Windows 7, 8 or 10 Pro †
  • 32-bit and 64-bit supported
  • Virtual server infrastructure supported

† Only recommended for small or trial installations.

Required Software Components

  • Microsoft .Net Framework 4.5.2
  • Windows Installer 4.5

Other Requirements

  • You may need to adjust your firewall rules to ensure that intelli-CTi Clients work correctly, please refer to our Troubleshooting section

intelli-CTi Client Workstation Requirements

An intelli-CTi client workstation installation requires for the following minimum system components. Additional elements maybe required for systems integration with your business applications.

Client Hardware

  • 1.8 GHz Pentium-class processor (or higher)
  • 250Mb of free Memory †
  • 200Mb free hard disk space
  • Minimum screen resolution of 1024×768 recommended

† This figure applies to QGate Breeze and intelli-CTi client services.  Any additional application integration services you install may require more memory.

Supported Operating Systems

The following operating systems are supported with the recommendation that the latest Windows updates are applied.

  • Windows 10
  • Windows 8 / 8.1
  • Windows 7
  • Windows Vista
  • Windows XP (Service Pack 3) †
  • 32-bit and 64-bit
  • Citrix / Remote Desktop / Terminal Services

† Not a supported platform for some application integrations, see sections below for more details.

Required Software Components

  • Microsoft .Net Framework 4.6.2 (or above)
  • Windows Installer 4.5

Telephone System Integration Requirements

To enable intelli-CTi to integrate with your telephone system, the necessary system interfaces within your telephone system must be enabled.
For a detailed list of the telephone systems that we support and the necessary system requirements for each system, see our intelli-CTi Telephone Compatibility list.

Integration with Microsoft Dynamics CRM

To integrate intelli-CTi with Microsoft Dynamics CRM, the following information should be noted.

Supported Versions

  • Microsoft Dynamics 365
  • Microsoft Dynamics CRM 2016
  • Microsoft Dynamics CRM 2015
  • Microsoft Dynamics CRM 2013
  • Microsoft Dynamics CRM 2011 
  • Microsoft Dynamics CRM 4 
  • Unified Service Desk (USD) for Microsoft Dynamics CRM

†† For Microsoft Dynamics CRM 2011 or v4.0, please contact us directly.

Required Software Components

  • Internet Explorer or Microsoft Outlook Client – for more information about supported browsers, please see our Compatibility Matrix and Multiple Browser Support pages.
  • Windows Identity Foundation (required for CRM federated authentication)
  • Windows XP Operating System not supported

Integration with Infor CRM (Saleslogix)

To integrate intelli-CTi with Infor CRM (Saleslogix), the following additional system requirements should be noted.

Supported Versions

  • Infor CRM v8.3
  • Infor CRM v8.2
  • Infor CRM (Saleslogix) v8.1
  • Saleslogix v8.0
  • Saleslogix v7.5.4
  • LAN and Web clients supported for all versions listed above.

Required Software Components

  • Infor CRM (Saleslogix) LAN Implementation:
    • Infor CRM (Saleslogix) Administration utilities.
    • We strongly recommend applying all Infor CRM (Saleslogix) service packs and/or hot fixes if and where possible.
  • Infor CRM (Saleslogix) Web Implementation:
    • A working deployment of the SData core portal
      (required by intelli-CTi for Infor CRM (Saleslogix) Web for data access).
    • Infor CRM (Saleslogix) Administration utilities and Application Architect.
    • Infor CRM (Saleslogix) LAN Client Application (for administration purposes).
    • intelli-CTi for Infor CRM (Saleslogix) Web Client supports Internet Explorer version 7 and above – for more information about supported browsers, please see our Multiple Browser Support page.
    • We strongly recommend applying all Infor CRM (Saleslogix) service packs and/or hot fixes if and where possible.

Document Library


← Back to the intelli-CTi Help Center menu.


See the intelli-CTi Help Center User Guidelines for important considerations of use.